/* SETUP */
:root {
  --brand-color: #1795d0;
  --row-alternate-color: #ecf6ff;
  --header-and-footer-color: #343740;
  --text-color: #282036;
  --light-grey: #797979;
  --dark-grey: #929292;
  --link-color: #2da2be;
  font-family: "Nunito";
}

* {
  margin: 0;
  padding: 0;
}

p {
  font-size: 18px;
  line-height: 25px;
}
.container {
  max-width: 100%;
  padding: 3rem 2rem;
}
/* END SETUP */

/* HEADER */
.header {
  background-color: var(--header-and-footer-color);
  height: 65px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1080px;
  width: 100%;
  margin: 0 auto;
}
.header__image {
  height: 32px;
  width: 225px;
}
/* END HEADER */

/* HERO */
.hero {
  background-color: var(--brand-color);
  color: white;

  @media (min-width: 700px) {
    min-height: 450px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1em;
    box-sizing: border-box;
  }
}
.hero__container {
  display: flex;
  flex-direction: column-reverse;
  gap: 2rem;

  /*at 700px...*/
  @media (min-width: 700px) {
    flex-direction: row;
    gap: 2rem;
    max-width: 1080px;
    margin: 0 auto;
  }
}
.hero__column {
  width: 100%;
  display: flex;
  align-self: center;
  flex-direction: column;
  gap: 1rem;
}
.hero__image {
  width: 100%;
}
.hero__title {
  font-size: 30px;
  line-height: 2.2rem;
}
/* END HERO */

.solo-paragraph {
  color: var(--light-grey);
  text-align: center;
  max-width: 1080px;
  margin: 0 auto;
}
.solo-paragraph__link {
  color: var(--link-color);
  text-decoration: none;
}

/* FEATURES COLUMNS */

.features--alternate {
  background: var(--row-alternate-color);
}

.features__container {
  @media (min-width: 700px) {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    max-width: 1080px;
    margin: 0 auto;
  }
}

.features__container--alternate {
  @media (min-width: 700px) {
    flex-direction: row-reverse;
  }
}

.features__column {
  min-width: 30%;
}

.features__image {
  width: 100%;
  min-width: 150px;
}

.features__title {
  color: var(--text-color);
  font-weight: 200;
  font-size: 40px;
  padding-bottom: 30px;
}

.features__paragraph {
  color: var(--text-color);
  font-size: 18px;
}

.features__link {
  color: var(--link-color);
  text-decoration: none;
}

.features__btn {
  color: var(--light-grey);
  text-decoration: none;
  border: 1px solid var(--light-grey);
  border-radius: 9999px;
  padding: 0.667em 1.333em;
  margin-top: 1rem;
  display: inline-block;
  margin-top: 2rem;
}
/* END FEATURES COLUMNS */

/* FOOTER */
.footer {
  background-color: var(--header-and-footer-color);
  padding: 123px 2rem;
  flex-direction: column;
  position: relative;
}

.footer__container {
    @media (min-width: 700px) {
        max-width: 1080px;
        margin: 0 auto;
      }
}

.footer__list {
  border-top: 1px solid white;
  list-style-type: none;
  padding: 20px 0;
}

.footer__list-item {
  padding: 3px 0;
}

.footer__link {
  color: white;
  text-decoration: none;
  font-size: 15px;
}

.footer__small {
  color: var(--light-grey);
  font-size: 12px;
  margin-top: 1rem;
}

.footer__link--small {
  color: var(--link-color);
  text-decoration: none;
}

.footer__copyright {
  margin-top: 50px;
  padding: 2rem 0;
  color: var(--dark-grey);
  position: absolute;
  bottom: 0;
}

/* END FOOTER */
